/*
  - DVD LIBRARY
  - A program (or a close approximation) by Sean Handley
  - 320097@swan.ac.uk
*/

/* include library headers */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

/* include my headers */

#include "dvd.h"
#include "borrower.h"
#include "fileio.h"
#include "ui.h"
#include "loan.h"

/* define constants */

#define DEBUG 0 

#define BORR_LOC "borrowers.dat"
#define DVD_LOC "dvds.dat"
#define LOAN_LOC "loans.dat"

int main(int argc, char *argv[]) {
    char *thisline;
    FILE *dvdfile,*borrowerfile,*loanfile;
    int maxdvd = 1; /* default max */

    dvdfile = fopen(DVD_LOC, "r");
    while((thisline = readline(dvdfile))) {
        add_dvd(thisline);
        free(thisline);
    }

    borrowerfile = fopen(BORR_LOC, "r");
    while((thisline = readline(borrowerfile))) {
        add_borr(thisline);
        free(thisline);
    }

    loanfile = fopen(LOAN_LOC, "r");
    while((thisline = readline(loanfile))) {
        read_loan(thisline);
        free(thisline);
    }
    
    /*fclose(loanfile);*/

    if(argc > 1) {
        maxdvd = atoi(argv[1]);
    }
    show_ui(maxdvd);
    fclose(dvdfile); fclose(borrowerfile);
    /*clear_dvds();*/
    return 0;
}
